=== debian/changelog ===
pngquant (1.8.3-1) experimental; urgency=low

  * New upstream release (Closes: #665701);
  * Changed libpng12-dev → libpng-dev in Build-Depends (Closes: #662475);
  * Fixed syntax options (Closes: #602585);
  * Fixed options in mapnage (Closes: #602586);
  * Acknowledge NMU (Thanks, Simon Paillard! Closes: #649129).
    Both issues are fixed upstream.
  * Added Kornel Lesiński as co-maintainer;
  * Updated watch file;
  * Updated upstream homepage;
  * Updated long description;
  * Updated compat level to 9;
  * Updated Stardards-Version to 3.9.4 (no changes needed);
  * Updated copyright file to DEP-5;
  * Converted package from CDBS to minimal debhelper rules;
  * Removed manpage (now provided upstream);
  * Created pngquant-dbg package with debugging symbols.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Mon, 25 Feb 2013 22:25:37 -0300

pngquant (1.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS: fix format security (Closes: #643459)
  * Fix FTBFS with libpng 1.5: explicit include zlib.h (Closes: #641891)

 -- Simon Paillard <spaillard@debian.org>  Fri, 18 Nov 2011 00:04:47 +0100

pngquant (1.0-4) unstable; urgency=low

  * Fix watch file (Closes: #450009);
  * Updated Standards-Version to 3.7.3 (no changes needed);
  * Using new Homepage field;
  * Updated debhelper compatibility level to 6.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 26 Feb 2008 09:50:21 -0300

pngquant (1.0-3) unstable; urgency=medium

  * Added explanation about ncolors on manpage (Closes: #388638);
  * New maintainer address;
  * Added tags on debian/control;
  * Changed to debhelper compatibility level 5;
  * Added a space before Homepage: on debian/control;
  * Updated Standards-Version to 3.7.2 (no changes needed);
  * Medium urgency since it includes documentation fix only.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Thu,  7 Dec 2006 00:53:28 -0200

pngquant (1.0-2) unstable; urgency=low

  * pngquant is not linked statically to libpng anymore;
  * Updated Standards-Version to 3.6.2 (no changes needed);
  * Using CDBS now;
  * Added watch file;
  * Included upstream changelog;
  * Updated description.

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Wed, 19 Oct 2005 17:12:20 -0200

pngquant (1.0-1) unstable; urgency=low

  * Initial Release (Closes: #283960)

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Thu,  3 Mar 2005 22:29:03 -0300
