=== debian/control ===
Source: pngquant
Section: graphics
Priority: optional
Maintainer: Nelson A. de Oliveira <naoliv@debian.org>
Uploaders: Kornel Lesiński <kornel@pngquant.org>
Build-Depends: debhelper (>= 9), libpng-dev, zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://pngquant.org/

Package: pngquant
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PNG (Portable Network Graphics) image optimising utility
 pngquant is a command-line utility for converting 24/32-bit PNG images to
 paletted (8-bit) PNGs.
 .
 The conversion reduces file sizes significantly (often as much as 70%) and
 preserves full alpha transparency. Generated images are compatible with all
 modern web browsers, and have better fallback in IE6 than 24-bit PNGs.
 .
 Features:
  * High-quality palette generation using modernized Median Cut algorithm.
  * Unique dithering algorithm that adds less noise to images than the standard
    Floyd-Steinberg.
  * Easy to integrate with shell scripts, GUIs and server-side software.
  * Fast mode for processing large numbers of images.
 .
 Optimizers (like pngcrush and optipng) optimize the compression, usually
 losslessly, while pngquant quantizes colors down to 256 (or fewer) distinct
 RGBA combinations, which is lossy.

Package: pngquant-dbg
Architecture: any
Section: debug
Priority: extra
Depends: pngquant (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for pngquant
 pngquant is a command-line utility for converting 24/32-bit PNG images to
 paletted (8-bit) PNGs.
 .
 This package contains the debugging symbols for pngquant.
