=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	$(MAKE) PREFIX=$$(pwd)/debian/pngquant/usr install

override_dh_strip:
	dh_strip --dbg-package=pngquant-dbg

override_dh_installdocs:
	dh_installdocs --link-doc=pngquant
