=== debian/watch ===
version=3
http://pngquant.org/releases.html http://pngquant.org/pngquant-(.*)-src\.tar\.bz2
