=== debian/changelog ===
pngquant (2.0.1-1) unstable; urgency=low

  * New upstream version
  * debian/watch: Adapt to new homepage
  * debian/control:
     - moved package to pkg-phototools team
     - add myself as Uploader
     - New homepage
     - cme fix dpkg-control
     - debhelper 9
     - set Vcs fields to pkg-phototools
  * debian/source/format: 3.0 (quilt)
  * debian/rules: use dh instead of cdbs
  * debian/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Tue, 19 Nov 2013 12:16:49 +0100
