=== debian/control ===
Source: pngquant
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Nelson A. de Oliveira <naoliv@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 9),
               libpng-dev,
               zlib1g-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/pngquant.git
Vcs-Git: git://anonscm.debian.org/pkg-phototools/pngquant.git
Homepage: http://pngquant.org/

Package: pngquant
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PNG (Portable Network Graphics) image optimising utility
 pngquant is a command-line conversion utility to quantize and dither truecolor
 PNG images, especially those with a full alpha channel, down to 8-bit (or
 smaller) RGBA-palette PNGs. Such images are usually two to four times smaller
 than the full 32-bit versions, and partial transparency is preserved quite
 nicely. This makes pngquant especially useful both for Web sites and for
 PlayStation 2 development, where one of the texture formats is
 RGBA-palette-based (though not PNG-compressed).
 This is the same technique used for many of the images on the Miscellaneous
 Transparent PNGs page (http://www.libpng.org/pub/png/pngs-img.html), and
 the results are often indistinguishable from the original, truecolor PNG
 images.
 .
 Optimizers (like pngcrush and optipng) optimize the compression, usually
 losslessly, while pngquant quantizes colors down to 256 (or fewer) distinct
 RGBA combinations, which is lossy.
