=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	# do nothing

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG
