=== debian/watch ===
version=3
http://pngquant.org/releases.html .*/pngquant-(\d[.\d]+)-src\.tar\.bz2
