## pngquant 2.1.0

=== debian/changelog ===
pngquant (2.1.0-1) unstable; urgency=low

  [ Andreas Tille ]
  * debian/copyright: Changed e-mail address of upstream as requested

  [ Jackson Doak ]
  * New upstream release. Closes: #736215
  * debian/control: Bump standards-version to 3.9.5
  * Use upstream's manpage instead of our own

  [ Nelson A. de Oliveira ]
  * Pass NDEBUG when building the binary (LP: #1306426)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Apr 2014 23:57:49 +0200
