=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 9),
                libpng-dev,
                zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/pngquant.git
 Vcs-Git: git://anonscm.debian.org/pkg-phototools/pngquant.git
 Homepage: http://pngquant.org/
