=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 %:
 	dh $@
+
+override_dh_auto_build:
+	dh_auto_build -- CFLAGS="-DNDEBUG -std=c99 $(CFLAGS)"
 
 override_dh_auto_install:
 	# do nothing
