=== debian/changelog ===
pngquant (2.3.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * d/copyright: Fix some DEP5 names
  * d/rules: cope with hand-written configure script

 -- Andreas Tille <tille@debian.org>  Tue, 07 Oct 2014 09:19:38 +0200
