=== debian/changelog ===
pngquant (2.5.0-2) unstable; urgency=medium

  * Fix CVE-2016-5735 (Thanks for the patch to Emilio Pozuelo
    Monfort <pochu@debian.org>)
    Closes: 863469

 -- Andreas Tille <tille@debian.org>  Thu, 01 Jun 2017 10:05:51 +0200

pngquant (2.5.0-1) unstable; urgency=medium

  * New upstream version
  * Suppress dh_auto_test since there is no test provided

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jul 2015 09:46:16 +0200
