=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper (>= 9),
                libpng-dev,
                zlib1g-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/pngquant.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/pngquant.git
 Vcs-Git: git://anonscm.debian.org/pkg-phototools/pngquant.git
 Homepage: http://pngquant.org/
