=== debian/changelog ===
pngquant (2.12.2-1) unstable; urgency=medium

  * New upstream version
    Closes: #894891
  * Upstream moved source to Github
  * cme fix dpkg-control
  * debhelper 11
  * Build-Depends: libimagequant-dev
  * Build-Depends: liblcms2-dev
  * Point Vcs fields to Salsa
  * New upstream version
  * Standards-Version: 4.2.1
  * d/rules: enable cross building (thanks for the patch to Helmut Grohne
    <helmut@subdivi.de>)
    Closes: #902548, #857175

 -- Andreas Tille <tille@debian.org>  Wed, 05 Dec 2018 15:59:46 +0100
