=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
            Nelson A. de Oliveira <naoliv@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
+               libimagequant-dev,
                libpng-dev,
-               zlib1g-dev
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/pngquant.git
-Vcs-Git: git://anonscm.debian.org/pkg-phototools/pngquant.git
+               zlib1g-dev,
+               liblcms2-dev
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngquant
+Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngquant.git
 Homepage: http://pngquant.org/
 
 Package: pngquant
