=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
DPKG_EXPORT_BUILDTOOLS=1
-include /usr/share/dpkg/buildtools.mk
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
SSEFLAG=--enable-sse
CFLAGS += -DUSE_SSE=1 -msse
else
SSEFLAG=--disable-sse
endif

%:
	dh $@

override_dh_auto_clean:
	rm -f pngquant *.o

override_dh_auto_configure:
	dh_auto_configure -- --extra-cflags="$(CFLAGS)" --extra-ldflags="$(LDFLAGS)" $(SSEFLAG)

override_dh_auto_build:
	dh_auto_build -- CFLAGS="-DNDEBUG -std=c99 $(CFLAGS)"

override_dh_auto_install:
	# do nothing

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_auto_test:
	echo "no test suite provided upstream"
