=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: pngquant
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Nelson A. de Oliveira <naoliv@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                libimagequant-dev,
                libpng-dev,
                zlib1g-dev,
                liblcms2-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngquant
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngquant.git
-Homepage: http://pngquant.org/
+Homepage: https://pngquant.org/
+Rules-Requires-Root: no
 
 Package: pngquant
 Architecture: any
