=== debian/rules ===
--- 
+++ 
@@ -29,4 +29,6 @@
 	dh_installchangelogs CHANGELOG
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	echo "no test suite provided upstream"
+endif
