=== debian/watch ===
version=4

https://github.com/pornel/pngquant/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
