## pngquant 2.17.0

=== debian/changelog ===
pngquant (2.17.0-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 17:18:59 +0100
