=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libpng-dev,
                zlib1g-dev,
                liblcms2-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngquant
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngquant.git
 Homepage: https://pngquant.org/
