## pngquant 2.18.0

=== debian/changelog ===
pngquant (2.18.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:25 +1100

pngquant (2.18.0-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:51:32 +0000

pngquant (2.18.0-1) unstable; urgency=medium

  * Fix clean target
    Closes: #1045315
  * d/watch: Restrict upstream version to 2.x since I have no capacity
    to switch to Rust which needs extra not yet packaged dependencies
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2024 20:10:17 +0100
