=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pngquant
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
 Section: graphics
 Priority: optional
@@ -8,7 +9,7 @@
                libpng-dev,
                zlib1g-dev,
                liblcms2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngquant
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngquant.git
 Homepage: https://pngquant.org/
