=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh $@
 
 override_dh_auto_clean:
-	rm -f pngquant *.o
+	rm -f pngquant *.o config.mk
 
 override_dh_auto_configure:
 	dh_auto_configure -- --extra-cflags="$(CFLAGS)" --extra-ldflags="$(LDFLAGS)" $(SSEFLAG)
